Skip to main content
GET
/
recordings
/
{recording_id}
/
file
JavaScript
import Surge from '@surgeapi/node';

const client = new Surge({
  apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});

const response = await client.recordings.getFile('rec_01kfyc9dgdec1avkgs7tng8htg');

console.log(response.error);
This response has no body data.

Documentation Index

Fetch the complete documentation index at: https://docs.surge.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

recording_id
string
required

The ID of the recording.

Example:

"rec_01kfyc9dgdec1avkgs7tng8htg"

Response